#ifndef CC_RAAKNKEYLOCK_H_INCLUDED
#define CC_RAAKNKEYLOCK_H_INCLUDED 1

#include <aknkeylock.h>
#include "raii.h"

class RAAknKeyLock : public RAknKeyLock, public RABase {
public:
	inline void ConnectLA() {
		RABase::CloseRA();
		User::LeaveIfError(Connect());
		iOpen=ETrue;
		PutOnStackL();
	}
	~RAAknKeyLock() { RABase::CloseRA(); }
	void CloseInner() { RAknKeyLock::Close(); }
private:
	void Close() { }
};

#endif // CC_RAAKNKEYLOCK_H_INCLUDED
