#ifndef CL_SETTINGS_IMPL_H_INCLUDED
#define CL_SETTINGS_IMPL_H_INCLUDED 1

#include "context_uids.rh"
#include "bbtypes.h"
#include "settings.h"
#include "settings_impl.h"

const TTupleName KCLSettingsTuple = { { CONTEXT_UID_CONTEXTCOMMON2 }, 1 };


class TClSettings : public MDefaultSettings {
public:
	static const TSettingItem KClSettings[];
	IMPORT_C static const TSettingItem GetKClSettings(TInt Setting);
private:
	IMPORT_C virtual bool GetDefaultL(TInt Setting, TDes& Value) const;
	IMPORT_C virtual bool GetDefaultL(TInt Setting, TDes8& Value) const;
	IMPORT_C virtual bool GetDefaultL(TInt Setting, TInt& Value) const;
	IMPORT_C virtual bool GetDefaultL(TInt Setting, TTime& Value) const;
};

#endif


