#ifndef CM_AUDIOENGINE_H_INCLUDED
#define CM_AUDIOENGINE_H_INCLUDED 1

#include <e32base.h>

class CAudioEngine: public CBase
{
public:
	IMPORT_C static CAudioEngine* NewL();
	IMPORT_C static CAudioEngine* NewLC();

	virtual void DoStopL() = 0;
	virtual void DoPlayL() = 0;
	virtual void SetNewFileL(const TDesC& aFileName) = 0;
	virtual void DoPauseL() = 0;

	virtual TInt IncreaseVolume() = 0;
	virtual TInt DecreaseVolume() = 0;
   
	virtual void InitControllerL( class MPlayerUIControllerListener* aCallback, TInt volume ) = 0;
	virtual void CloseController() = 0;
	virtual TInt GetEngineState() = 0;
	enum TEngineState {EPNotInitialised, EPInitialising, EPStopped, EPPlaying, EPPaused};
};

#endif