#if !defined(LOG_CELLID_H_INCLUDED)
#define LOG_CELLID_H_INCLUDED
/* 
    Copyright (C) 2004  Mika Raento - Renaud Petit

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    email: mraento@cs.helsinki.fi - petit@cs.helsinki.fi 
*/

#include "i_log_source.h"
#include "log_base_impl.h"

#include "csd_cell.h"

class Clog_cellid: public CCheckedActive, public Mlog_base_impl
{
public:
	IMPORT_C static Clog_cellid* NewL(MApp_context& Context, class COperatorMap* aOpMap,
		class CCellMap* aCellMap);

	virtual const CBBSensorEvent& get_value() = 0;
protected:
	Clog_cellid(MApp_context& Context);
};

#endif