/*
* ============================================================================
*  Name     : CTaskListApp from TaskListApp.h
*  Part of  : TaskList
*  Created  : 13.4.2004 by 
*  Description:
*     Declares main application class.
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef TASKLISTAPP_H
#define TASKLISTAPP_H

// INCLUDES
#ifndef __S80__
#include <aknapp.h>
#else
#include "avkon_compat.h"
#endif

// CONSTANTS
// UID of the application
#include <context_uids.h>

// CLASS DECLARATION

/**
* CTaskListApp application class.
* Provides factory to create concrete document object.
* 
*/
class CTaskListApp : public CAknApplication
    {
    
    public: // Functions from base classes
    private:

        /**
        * From CApaApplication, creates CTaskListDocument document object.
        * @return A pointer to the created document object.
        */
        CApaDocument* CreateDocumentL();
        
        /**
        * From CApaApplication, returns application's UID (KUidTaskList).
        * @return The value of KUidTaskList.
        */
        TUid AppDllUid() const;
    };

#endif

// End of File

