#ifndef CONTEXT_SENSORRUNNER_H_INCLUDED
#define CONTEXT_SENSORRUNNER_H_INCLUDED 1

#include <e32base.h>

class MAppEvents {
public:
	virtual void LogAppEvent(const TDesC& msg) = 0;
	virtual void error(CBase* aSource, TInt err, const TDesC& msg) = 0;
};

class CSensorRunner : public CBase {
public:
	static CSensorRunner* NewL(class MApp_context& aContext, class sms* smsh,
		TBool aDoKeycapture, MAppEvents& aAppEvents);
	virtual class CLogGps*	Gps() = 0;
	virtual class CCellMap*	CellMap() = 0;
	virtual class COperatorMap* OpMap() = 0;
	virtual void Stop() = 0;

	virtual const TDesC& State() = 0;
};

#endif
