#!/usr/bin/perl

$def=$ARGV[0];
die "Usage:\ndef_to_mmp.pl DEFFILE" if ($def eq "");

if ($def=~/([^\\]+)\\([^\\]+)\\(.*)/) {
	$platform=$1;
	$release=$2;
	$deffile=$3;
} else {
	die "DEFFILE should be platform\\release\\deffilename";
}

open(DEF, "<$def") || die "cannot open $def for reading";
$dllname=<DEF>;
if ($dllname=~/;DLLNAME\s+([^\[]+)\[([\da-f]+)\]\.DLL/i) {
	$dll=$1;
	$uid=$2;
} else {
	die "cannot parse dllname line $dllname";
}
close(DEF);
$project=$deffile;
#print $project;
$project=~s/.thumbu\.DEF//i;
$project=~s/.winsu\.DEF//i;

if ($platform eq "thumb") {
	$outputdir=$ENV{'EPOCROOT'} . "epoc32\\release\\"  . $platform . "\\" . $release . "\\";
	open(TOUCH, ">" . $outputdir . $project . ".LIB");
	close(TOUCH);
	$dllname=$dll . "[" . $uid . "].DLL";
	$cmd="dlltool -m thumb --output-lib $outputdir${project}.LIB --def $def --dllname $dllname";
} else {
	$outputdir=$ENV{'EPOCROOT'} . "epoc32\\release\\"  . $platform . "\\" . $release . "\\";
	$dllname=$dll . ".DLL";
	$cmd="lib.exe /nologo /machine:i386 /nodefaultlib /name:\"$dllname\" /def:\"$def\" /out:\"$outputdir${project}.LIB\"";
}
print $cmd, "\n";
system($cmd)
