/* 
    Copyright (C) 2004  Mika Raento - Renaud Petit

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    email: mraento@cs.helsinki.fi - petit@cs.helsinki.fi 
*/
#ifndef CB_PHONEHELPER_UI_H_INCLUDED
#define CB_PHONEHELPER_UI_H_INCLUDED 1

#include <etel.h>
#include "checkedactive.h"
#include <sendui.h>
#include <badesca.h>
#include "app_context.h"
#include "file_output_base.h"
#include "phonehelper.h"


class phonehelper_ui : public phonehelper {
public:
	phonehelper_ui(Mfile_output_base * log) : phonehelper(log) {}
	IMPORT_C void ConstructL();
	IMPORT_C ~phonehelper_ui();
	IMPORT_C TFileName ExportVCardToFile(TInt ContactId);
	IMPORT_C void send_as(TUid mtmUid, CArrayFixFlat<TInt> * c);

public:
	IMPORT_C void show_editor(TInt contact_id, bool duplicate, TInt focus_field_index = -1, class CPbkFieldInfo * fieldInfo = 0, const TDesC& no = KNullDesC);

private:
	class CPbkContactEngine * iEngine;
	TBool owns_engine;
};

#endif
