#ifndef CONTEXT_PRESENCE_UI_HELPER_H_INCLUDED
#define CONTEXT_PRESENCE_UI_HELPER_H_INCLUDED 1

#include <e32std.h>
#include "phonebook.h"
#include "csd_presence.h"
#include <bamdesca.h>

IMPORT_C TBool IsOutOfDate(TTime stamp, TTime compare, TInt freshness_interval = 10 /*in minutes*/);

IMPORT_C void TimeSinceStamp(TDes& aInto, TTime stamp, TTime compare, TInt minuteInterval=10);

IMPORT_C void PresenceToListBoxL(const CBBPresence* data, HBufC*& name, 
				 HBufC* last_name, HBufC* first_name, const TDesC& time,
				 TTime compare, 
				 const TDesC& prev, const TDesC& ago,
				 const TDesC& not_avail, 
				 bool last_name_first,
				 TBool aShowDetailsInList);

class CPresenceArray : public CBase, public MDesCArray {
public:
	IMPORT_C static CPresenceArray* NewL(phonebook_i* aPhoneBook);
};

class CNameArray : public CBase, public MDesCArray {
public:
	IMPORT_C static CNameArray* NewL(phonebook_i* aPhoneBook);
};

#endif
