#ifndef CONTEXT_PYTHONEXTERNALIZER_H_INCLUDED
#define CONTEXT_PYTHONEXTERNALIZER_H_INCLUDED 1

#include "bbdata.h"
#include <Python.h>

static const TInt KErrFromPython=-30000-1;

void LeaveIfPythonError(TInt aResult);
PyObject* LeaveIfPythonNull(PyObject* aObject);

class CPythonExternalizer : public CBase, public MBBExternalizer {
public:
	static CPythonExternalizer* NewL();
	virtual PyObject* GetObject() = 0; // increments refcount
	virtual void Reset() = 0;
};

#endif
