#include "cu_sendmsg.h"
#include <e32base.h>
#include <sendui.h>
#include <symbian_auto_ptr.h>
#include <bautils.h>
#include "raii_f32file.h"
#include  <SENDNORM.RSG>
#include "contextui.hrh"
#include <txtrich.h>
#include "break.h"
#include "app_context.h"
#include "app_context_impl.h"

EXPORT_C void SendMessageWithSendUiL(const TDesC& aTitle, const TDesC& aMessage)
{
	auto_ptr<CSendAppUi> iSendUi(CSendAppUi::NewL(EContextUICmdSendUi, 0));
	TInt flags=TSendingCapabilities::ESupportsBodyText;
	TSendingCapabilities c( 0, 0, flags);

	auto_ptr<CParaFormatLayer> paraf(0);
	auto_ptr<CCharFormatLayer> charf(0);
	auto_ptr<CRichText> body(0);
	auto_ptr<CDesCArrayFlat> attach(new (ELeave) CDesCArrayFlat(1));
	paraf.reset(CParaFormatLayer::NewL());
	charf.reset(CCharFormatLayer::NewL());

	body.reset(CRichText::NewL(paraf.get(), charf.get()));
	body->InsertL(0, aMessage);
	iSendUi->CreateAndSendMessagePopupQueryL(aTitle, c, body.get(), 
		0, KNullUid, 0, 0, 0, EFalse);
}
