#!/usr/bin/perl

foreach my $d (qw(wins thumb wins\\udeb thumb\\urel)) {
	#print $d;
	unless (-d $d) {
		unless (mkdir $d) { die "cannot create directory $d"; }
	}
}

@pl=("thumb\\urel", "wins\\udeb");

open(IN, "<list_of_libs.txt") || die "cannot open list_of_libs.txt";
while(<IN>) {
	chop;
	s/\r//;
	$plainlib=$_;
	$seen=0;
	foreach $pl (@pl) {
		$lib=$pl . "\\" . $plainlib . ".LIB";
		$libfile=$ENV{'EPOCROOT'} . "epoc32\\release\\" . $lib;
		print "$libfile\n";
		next unless (-f $libfile);
		$seen=1;
		open(S, "perl ..\\lib_to_def.pl $lib|");
		$def=$lib;
		$def=~s/(.*)\\(.*)\\(.*)\.LIB/$1\\$2\\$3-$1u.DEF/i;
		open(DEF, ">$def") || die "cannot open $def for writing";
		while(<S>) {
			print DEF $_;
		}
		close(DEF);
		close(S) || die "failed to run ..\\lib_to_def.pl $lib";
	}
	die "no lib $plainlib for neither wins or thumb" unless($seen);
}
close(IN);
